<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= call_hook :activity_index_head %>

<%= toolbar title: (@author.nil? ? t(:label_activity) : t(:label_user_activity, value: link_to_user(@author))).html_safe,
            subtitle: t(:label_date_from_to, start: format_date(@date_to - @days), end: format_date(@date_to-1))
%>

<%= render(Activities::DaysComponent.new(events: @events, current_project: @project, activity_page: @activity_page))  %>

<% if @events.empty? %>
  <%= no_results_box %>
  <br>
<% end %>

<div style="float:left;">
  <%= link_to_content_update(t(:label_previous),
                             {
                               from: (@date_to - @days - 1),
                               with_subprojects: @with_subprojects ? '1' : '0',
                               user_id: params[:user_id]
                             }.compact,
                             {title: t(:label_date_from_to, start: format_date(@date_to - 2*@days), end: format_date(@date_to - @days - 1)),
                             class: 'navigate-left'}) %>
</div>
<div style="float:right;">
  <%= link_to_content_update(t(:label_next),
                             {
                               from: (@date_to + @days - 1),
                               with_subprojects: @with_subprojects ? '1' : '0',
                               user_id: params[:user_id]
                             }.compact,
                             {title: t(:label_date_from_to, start: format_date(@date_to), end: format_date(@date_to + @days - 1)),
                             class: 'navigate-right'}) unless @date_to >= Date.today %>
</div>
&nbsp;
<%= other_formats_links do |f| %>
  <%= f.link_to 'Atom', url: { from: nil }, key: User.current.rss_key %>
<% end %>

<% content_for :header_tags do %>
  <%= auto_discovery_link_tag(:atom,
                              { format: 'atom', from: nil, key: User.current.rss_key }) %>
<% end %>

<% html_title(t(:label_activity), @author) -%>
